%Binarizar una imagen
A=imread('_im_luna_color.jpg');
size(A)
A=double(A);
B=(A(:,:,1)+A(:,:,2)+A(:,:,3))/3;
size(B)
pause

%visualiza sin Toolbox de Imagenes
colormap(gray(256));
image(B);
disp('Presione una tecla para binarizar...');pause


[nf nc]=size(B);
umb=180;
for f=1:nf
   for c=1:nc
      if B(f,c)>umb
         B(f,c)=255;
      else
         B(f,c)=0;
      end;%if
   end;%for
end;%for

image(B);